Bug 40663 - Support Stax API 1.0.1
Summary: Support Stax API 1.0.1
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: xml (show other bugs)
Version: 0.98
: P3 normal
Target Milestone: 0.99
Assignee: chris burdess
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-06 18:29 UTC by Ludovic Claude
Modified: 2012-02-15 23:23 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
Patch for the xml stream 1.0.1 API (1.24 KB, patch)
2009-07-06 18:29 UTC, Ludovic Claude
Details | Diff
javax/xml/stream/util/StreamReaderDelegate.java (1.80 KB, text/plain)
2009-07-06 18:30 UTC, Ludovic Claude
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ludovic Claude 2009-07-06 18:29:01 UTC
The javax.xml.stream API is outdated and with some inconsistencies, probably due to some errors in the first release. This patch aligns the javax.xml.stream API with Java 6.0 and the StAX 1.2.0 reference implementation available on http://stax.codehaus.org

Note that the file javax/xml/stream/util/ReaderDelegate.java needs to be deleted as it have been renamed to StreamReaderDelegate.java
Comment 1 Ludovic Claude 2009-07-06 18:29:47 UTC
Created attachment 18143 [details]
Patch for the xml stream 1.0.1 API
Comment 2 Ludovic Claude 2009-07-06 18:30:52 UTC
Created attachment 18144 [details]
javax/xml/stream/util/StreamReaderDelegate.java

Add this file to the patch
Comment 3 chris burdess 2009-07-08 07:55:45 UTC
I rewrote and reformatted these changes, the only major change was returning a new instance of QName in NamespaceImpl instead of having another member in memory.

Committed to HEAD
Comment 4 cvs-commit@developer.classpath.org 2009-07-08 07:58:42 UTC
Subject: Bug 40663

CVSROOT:	/cvsroot/classpath
Module name:	classpath
Changes by:	Chris Burdess <dog>	09/07/08 07:53:30

Modified files:
	.              : ChangeLog 
	gnu/xml/stream : FilteredStreamReader.java NamespaceImpl.java 
	                 XIncludeFilter.java XMLEventAllocatorImpl.java 
	                 XMLEventFactoryImpl.java 
	javax/xml/stream: XMLEventFactory.java XMLInputFactory.java 
	                  XMLOutputFactory.java 
	javax/xml/stream/events: Namespace.java 
Added files:
	javax/xml/stream/util: StreamReaderDelegate.java 
Removed files:
	javax/xml/stream/util: ReaderDelegate.java 

Log message:
	2009-07-08  Chris Burdess  <dog@gnu.org>
	
		PR xml/40663:
		* javax/xml/stream/XMLEventFactory.java,
		* javax/xml/stream/XMLInputFactory.java,
		* javax/xml/stream/XMLOutputFactory.java,
		* javax/xml/stream/events/Namespace.java: Update API to match final
		  version of StAX.
		* javax/xml/stream/util/ReaderDelegate.java: Removed.
		* javax/xml/stream/util/StreamReaderDelegate.java: Added (renamed
		  from ReaderDelegate)
		* gnu/xml/stream/FilteredStreamReader.java,
		* gnu/xml/stream/NamespaceImpl.java,
		* gnu/xml/stream/XIncludeFilter.java,
		* gnu/xml/stream/XMLEventAllocatorImpl.java,
		* gnu/xml/stream/XMLEventFactoryImpl.java: Update implementation to
		  match final version of StAX API.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/classpath/ChangeLog?cvsroot=classpath&r1=1.9771&r2=1.9772
http://cvs.savannah.gnu.org/viewcvs/classpath/gnu/xml/stream/FilteredStreamReader.java?cvsroot=classpath&r1=1.1&r2=1.2
http://cvs.savannah.gnu.org/viewcvs/classpath/gnu/xml/stream/NamespaceImpl.java?cvsroot=classpath&r1=1.1&r2=1.2
http://cvs.savannah.gnu.org/viewcvs/classpath/gnu/xml/stream/XIncludeFilter.java?cvsroot=classpath&r1=1.10&r2=1.11
http://cvs.savannah.gnu.org/viewcvs/classpath/gnu/xml/stream/XMLEventAllocatorImpl.java?cvsroot=classpath&r1=1.4&r2=1.5
http://cvs.savannah.gnu.org/viewcvs/classpath/gnu/xml/stream/XMLEventFactoryImpl.java?cvsroot=classpath&r1=1.3&r2=1.4
http://cvs.savannah.gnu.org/viewcvs/classpath/javax/xml/stream/XMLEventFactory.java?cvsroot=classpath&r1=1.6&r2=1.7
http://cvs.savannah.gnu.org/viewcvs/classpath/javax/xml/stream/XMLInputFactory.java?cvsroot=classpath&r1=1.6&r2=1.7
http://cvs.savannah.gnu.org/viewcvs/classpath/javax/xml/stream/XMLOutputFactory.java?cvsroot=classpath&r1=1.5&r2=1.6
http://cvs.savannah.gnu.org/viewcvs/classpath/javax/xml/stream/events/Namespace.java?cvsroot=classpath&r1=1.1&r2=1.2
http://cvs.savannah.gnu.org/viewcvs/classpath/javax/xml/stream/util/StreamReaderDelegate.java?cvsroot=classpath&rev=1.1
http://cvs.savannah.gnu.org/viewcvs/classpath/javax/xml/stream/util/ReaderDelegate.java?cvsroot=classpath&r1=1.2&r2=0



Comment 5 Andrew John Hughes 2010-10-12 17:33:36 UTC
Merged to gcj in libgcj-snapshot-20100921.
Comment 6 Andrew John Hughes 2012-02-15 23:23:44 UTC
Set milestone to 0.99.